/* Includes zum einfachen Steuern des CLI. Sollten aber mit Vorsicht
   genossen werden. Version 1.0 von Lars Eggert. */

#ifndef CLICODES
#define CLICODES

#define CLIScreenClear() printf("[0;0H[J")
#define CLICursorOff() printf("[0 p")
#define CLICursorON() printf("[ p")
#define CLISetCursorXY(x, y) printf("[(y);(x)H")
#define CLICursorUp(n) printf("[(n)A")
#define CLICursorDown(n) printf("[(n)B")
#define CLIClearWindowCursor() printf("[J")
#define CLIClearLineCursor() printf("[K")
#define CLILineLength(n) printf("[(n)u")
#define CLILeftBorder(n) printf("[(n)x")
#define CLITopBorder(n) printf("[(n)y")
#define CLINumberOfLines(n) printf("[(n)t")
#define CLITextColor0() printf("[30m")
#define CLITextColor1() printf("[31m")
#define CLITextColor2() printf("[32m")
#define CLITextColor3() printf("[33m")
#define CLIBackColor0() printf("[40m")
#define CLIBackColor1() printf("[41m")
#define CLIBackColor2() printf("[42m")
#define CLIBackColor3() printf("[43m")
#define CLIStyleBold() printf("[1m")
#define CLIStyleItalic() printf("[3m")
#define CLIStyleUnderline() printf("[4m")
#define CLIStyleInverse() printf("[7m")
#define CLIStyleNormal() printf("[0m")

#endif